package com.gh.common.xapk

import com.lightgame.download.DownloadEntity

interface IXapkUnzipListener {
    fun onProgress(downloadEntity: DownloadEntity, unzipPath: String, unzipSize: Long, unzipProgress: Long)

    fun onNext(downloadEntity: DownloadEntity, unzipPath: String)

    fun onCancel(downloadEntity: DownloadEntity)

    fun onFailure(downloadEntity: DownloadEntity, exception: Exception)

    fun onSuccess(downloadEntity: DownloadEntity)
}